Bug 158660 - repomd support tracebacks
repomd support tracebacks
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: up2date (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bret McMillan
Fanny Augustin
:
Depends On:
Blocks: FC4Blocker
  Show dependency treegraph
 
Reported: 2005-05-24 13:00 EDT by Bill Nottingham
Modified: 2014-03-16 22:54 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-30 11:08:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to fix this (599 bytes, patch)
2005-05-24 13:00 EDT, Bill Nottingham
no flags Details | Diff

  None (edit)
Description Bill Nottingham 2005-05-24 13:00:42 EDT
up2date-4.4.23-3.

[Tue May 24 12:39:49 2005] up2date availablePackageList from network
[Tue May 24 12:39:49 2005] up2date   File "/usr/sbin/up2date", line 1265, in ?
    sys.exit(main() or 0)
   File "/usr/sbin/up2date", line 800, in main
    fullUpdate, dryRun=options.dry_run))
   File "/usr/sbin/up2date", line 1120, in batchRun
    batch.init()
   File "/usr/share/rhn/up2date_client/up2dateBatch.py", line 65, in init
    self.__findPackagesToUpdate()
   File "/usr/share/rhn/up2date_client/up2dateBatch.py", line 101, in
__findPackagesToUpdate
    plist.addGlobs(self.listOfGlobs)
   File "/usr/share/rhn/up2date_client/packageList.py", line 161, in addGlobs
    availList = rhnPackageInfo.getAvailablePackageList()
   File "/usr/share/rhn/up2date_client/rhnPackageInfo.py", line 235, in
getAvailablePackageList
    package_list = availablePackageList(
   File "/usr/share/rhn/up2date_client/rhnPackageInfo.py", line 146, in
availablePackageList
    svrChannels = rhnChannel.getChannels()
   File "/usr/share/rhn/up2date_client/rhnChannel.py", line 233, in getChannels
    url = getMirror(source)

Patch attached, and built into FC4 as -4.
Comment 1 Bill Nottingham 2005-05-24 13:00:43 EDT
Created attachment 114788 [details]
patch to fix this
Comment 2 Hans de Goede 2005-06-02 09:42:09 EDT
With -4 I get the following (without any rpmmd repos in sources):
[Thu Jun  2 14:33:39 2005] up2date availablePackageList from network
[Thu Jun  2 14:33:39 2005] up2date Unable to import repomd support so repomd
support will not be available

And the following when I add a rpmmd entry to my sources:
[Thu Jun  2 15:32:12 2005] up2date   File "/usr/sbin/up2date", line 1265, in ?
    sys.exit(main() or 0)
   File "/usr/sbin/up2date", line 328, in main
    sources = sourcesConfig.getSources()
   File "/usr/share/rhn/up2date_client/sourcesConfig.py", line 263, in getSources
    scfg = SourcesConfigFile(filename="/etc/sysconfig/rhn/sources")
   File "/usr/share/rhn/up2date_client/sourcesConfig.py", line 42, in __init__ 
    self.load()
   File "/usr/share/rhn/up2date_client/sourcesConfig.py", line 83, in load
    self.parseRpmmd(line)

FC4 showstopper???
Non experienced users will need up2date to get up2date updated.
Comment 3 Bill Nottingham 2005-06-02 12:05:08 EDT
What exactly did you add to your sources file?
Comment 4 Hans de Goede 2005-06-02 13:09:56 EDT
I added:
rpmmd fedora-extras-development       
http://download.fedora.redhat.com/pub/fedora/linux/extras/development/i386/

But then in one line.
Comment 5 Bill Nottingham 2005-06-02 13:25:26 EDT
Try 'repomd', not 'rpmmd'.
Comment 6 Hans de Goede 2005-06-02 13:42:02 EDT
Yes, that works but that also sucks in all repos from /etc/yum.repo.d
Since I still had most of these as yum repos in my sources file I now got them
twice.

Also the repomd repo uses the name given for it in /etc/yum.repo.d and not the
one given in sources.

I think this is a great feature actually, but shouldn't just using repomd
without anything behind be enough then. Because that currently doesn't work, if
that would work then I no longer have to edit 2 files when switching between
rawhide and stable ot stuff like that.

On a related note the systray applet doesn't seem to like repomd much, atleast
it didn't detect any available updates, where as up2date itself did find several
updates.

Last note, up2date silently failing when run from the systray applet whenever
there is an error in sources is "not good" (TM)
Comment 7 Bill Nottingham 2005-06-02 13:48:44 EDT
Yes, you just need:

repomd <somethng> <something>

without any 'yum ...' repos, and it will just read /etc/yum.repos.d.

If the applet doesn't work, please file a bug there.
Comment 8 Hans de Goede 2005-06-02 14:23:24 EDT
Ok, COOL!

Nag 1: and this is documented where? And accessible from the gui where?
Nag 2: still exiting with tracebacks in /var/log/up2date instead of giving a
dialog box that sources is invalid is bad, esp for a gui tool/version.
Comment 9 Rahul Sundaram 2005-09-04 20:10:21 EDT

The format for repomd sould be within the file comments. File a seperate bug
report on that. The repository configuration cannot be done through the GUI. You
can again file a RFE 
Comment 10 ilja lunev 2005-10-07 03:54:42 EDT
I have this bug within RHEL WS4 Update 2 too.

/var/log/up2date:
[Fri Oct  7 00:30:09 2005] up2date updating login info
[Fri Oct  7 00:30:10 2005] up2date logging into up2date server
[Fri Oct  7 00:31:05 2005] up2date successfully retrieved authentication token
from up2date server
[Fri Oct  7 00:31:05 2005] up2date availablePackageList from network
[Fri Oct  7 00:31:05 2005] up2date Unable to import repomd support so repomd
support will not be available
[Fri Oct  7 00:32:16 2005] up2date A protocol error occurred: Not Found ,
attempt #1,
[Fri Oct  7 00:34:51 2005] up2date installing packages: ['thunderbird-1.0.7-1.4.1']
[Fri Oct  7 00:34:56 2005] up2date Creating rollback packages...
[Fri Oct  7 00:35:45 2005] up2date Removing packages from package profile:
['thunderbird-1.0.6-1.4.1']
[Fri Oct  7 00:36:11 2005] up2date Updating transaction list
[Fri Oct  7 00:36:18 2005] up2date Adding packages to package profile:
['thunderbird-1.0.7-1.4.1']
[Fri Oct  7 00:36:44 2005] up2date Updating transaction list
[Fri Oct  7 01:37:45 2005] up2date Updating package profile

best regards,

Ilja
Comment 11 Peter Bieringer 2005-10-10 09:29:35 EDT
I have this here to now after upgrading RHEL3 to U6. Logwatch claims now every
day about it:

 --------------------- up2date Begin ------------------------ 

**Unmatched Entries**
Unable to import repomd support so repomd support will not be available

 ---------------------- up2date End ------------------------- 

Not nice! Any hints how to solve this issue?
Comment 12 Tim Boyer 2005-10-11 07:12:41 EDT
RHEL4, also:

 **Unmatched Entries**
 Unable to import repomd support so repomd support will not be available
Comment 13 John Thacker 2006-10-29 15:24:47 EST
up2date was replaced by pirut and put (package pirut) as of FC5.  Only FC5 and
FC6 are currently fully supported; FC3 and FC4 are supported for security fixes
only.  If this bug occurs in FC3 or FC4 and is a security bug, please change the
product to Fedora Extras and the version to match.  If you can verify that the
bug exists in RHEL as well, please change the product and version appropriately.

The codebase for pirut and pup is quite different, but if a similar bug exists
in pirut and pup in FC5 or FC6, please change the product to pirut and the
version appropriately and update the bug report.

We apologize that the bug was not fixed before now.  The status will be changed
to NEEDINFO, and if the bug is not updated with evidence that it is a security
bug or a bug that affects RHEL, it will be closed.
Comment 14 Hans de Goede 2006-10-30 11:08:24 EST
AFAIK this has no security implications, closing.

Note You need to log in before you can comment on or make changes to this bug.